/*
     $Revision$
     $Id$
*/

var rowIndex = -1;
function CreateRow(bdr_key, bedrijf, afd_key, afdeling)
{
  rowIndex++;
  var table = $("#prsfaqtable > tbody")[0];

  // Insert data rows
  tr = table.insertRow(-1);
  tr.myData = { bdr_key: bdr_key
              , afd_key: afd_key
              };
  tr.value = rowIndex;

  // Create drop button
  cell = tr.insertCell(-1);
  cell.className = "result";
  cell.align = "center";
  cell.innerHTML = "<span OnClick='delRow(this)' style='cursor:pointer'>" + I("fa-trash-alt") + "</span>";

  // innerHTML opent een htmlparser die overbodige spaties en line breaks verwijderd in IE, daarom met innerText oplossen
  // Input velden moeten wel met innerHTML of outerHTML anders wordt het text

  // Vakgroep omschrijving veld
  cell = tr.insertCell(-1);
  cell.className = "result";
  cell.innerHTML = bedrijf;
  cell.align = "left";
  cell.style.whiteSpace = "nowrap";

  // Stdmelding omschrijving veld
  cell = tr.insertCell(-1);
  cell.className = "result";
  cell.innerHTML = afdeling;
  cell.align = "left";
  cell.style.whiteSpace = "nowrap";

  // Data velden
  cell = tr.insertCell(-1);
  cell.className = "result";
  cell.innerHTML = "<input type='hidden' id='bdr" + rowIndex + "' name='bdr" + rowIndex + "' value='" + bdr_key + "'>"
                 + "<input type='hidden' id='afd" + rowIndex + "' name='afd" + rowIndex + "' value='" + afd_key + "'>";
  cell.align = 'left';

  document.getElementById("nrRows").value = parseInt(rowIndex) + 1;
}

function delRow(img)
{
  // Verwijder de aangeklikte afdeling uit de lijst (de regel)
  FcltMgr.confirm(L("lcl_faq_del_prs"), function() {
      var tr = $(img).closest("tr")[0];
      if (tr.myData.bdr_key != null) {
          document.getElementById("prsfaqtable").deleteRow(tr.rowIndex);
      }
  });

}

function fac_submit()
{
  var data = $("[name=u2]").serialize();
  $.post($("form[name=u2]")[0].action,
         data,
         FcltCallbackClose,
         "json");
  return true; // disabled button ook
}

function fac_add()
{
  var bdr_key = $("#bedrijf").val();
  var bedrijf = $("#bedrijf_show").val();
  var afd_key = $("#afdeling").val();
  var afdeling = $("#afdeling_show").val();
  if (bdr_key > 0) {
    var exist = false;
    $("#prsfaqtable tr").each(function() {
      if (   this.myData
          && (bdr_key == this.myData.bdr_key)
          && (afd_key == this.myData.afd_key))
      {
        exist = true;
      }
    });
    if (!exist) {
      CreateRow( bdr_key
               , bedrijf
               , afd_key
               , afdeling
               );
      FcltMgr.resized(window);
    }
  }
}
